Bug 662402 - Cannot enable math display for mediawiki
Summary: Cannot enable math display for mediawiki
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mediawiki
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Axel Thimm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-12 13:37 UTC by Joel James Adamson
Modified: 2011-04-30 23:25 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-04-21 05:28:10 UTC


Attachments (Terms of Use)
Picture of the wikipage with error message (296.09 KB, image/png)
2010-12-12 13:37 UTC, Joel James Adamson
no flags Details

Description Joel James Adamson 2010-12-12 13:37:07 UTC
Created attachment 468210 [details]
Picture of the wikipage with error message

Description of problem:

Entering math (TeX) formulae on a Mediawiki page results in "Failed to parse (Cannot write to or create math output directory): 8675309 (y+x) = 12.40"

Version-Release number of selected component (if applicable): mediawiki-math-1.15.4-55.fc13.i686



How reproducible: Absolutely


Steps to Reproduce:
1. Install Mediawiki
2. Create /var/www/wiki/images/math and /var/www/wiki/images/tmp
3. chmod 775 the directories mentioned in tmp
4. chmod -R apache.apache /var/www/wiki
5. Enter a TeX formula on a wiki page
  
Actual results: Page displays "Failed to parse (Cannot write to or
create math output directory): 8675309 (y+x) = 12.40"


Expected results:  Displayed png image of the entered formula


Additional info: Same results with "setenforce 0" as with "setenforce
1"

texvc runs from the command-line flawlessly, producing mathml on
stdout and pngs in the indicated directory

From LocalSettings.php:

## If you have the appropriate support software installed
## you can enable inline LaTeX equations:
$wgUseTeX           = true;
# path for texvc
$wgTexvc =     "/usr/lib64/mediawiki/math/texvc";

# enabling LaTeX here:
$wgMathPath         = "{$wgUploadPath}/math";
$wgMathDirectory    = "{$wgUploadDirectory}/math";
$wgTmpDirectory     = "{$wgUploadDirectory}/tmp";

I am using TeXLive 2010 from http://jnovy.fedorapeople.org

No errors in /var/log/httpd/error_log, or /var/log/messages

Comment 1 Fedora Update System 2011-04-07 09:01:23 UTC
mediawiki-1.16.2-56.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mediawiki-1.16.2-56.fc14

Comment 2 Fedora Update System 2011-04-07 09:01:46 UTC
mediawiki-1.16.2-56.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mediawiki-1.16.2-56.fc15

Comment 3 Fedora Update System 2011-04-07 09:02:10 UTC
mediawiki-1.16.2-56.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mediawiki-1.16.2-56.fc13

Comment 4 Fedora Update System 2011-04-07 18:48:36 UTC
Package mediawiki-1.16.2-56.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mediawiki-1.16.2-56.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/mediawiki-1.16.2-56.fc14
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-04-16 06:53:02 UTC
mediawiki-1.16.4-57.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mediawiki-1.16.4-57.fc14

Comment 6 Fedora Update System 2011-04-16 06:53:44 UTC
mediawiki-1.16.4-57.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mediawiki-1.16.4-57.fc13

Comment 7 Fedora Update System 2011-04-16 06:54:24 UTC
mediawiki-1.16.4-57.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mediawiki-1.16.4-57.fc15

Comment 8 Fedora Update System 2011-04-21 05:27:32 UTC
mediawiki-1.16.4-57.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-04-22 08:36:27 UTC
mediawiki-1.16.4-58.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mediawiki-1.16.4-58.fc14

Comment 10 Fedora Update System 2011-04-22 08:37:12 UTC
mediawiki-1.16.4-58.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mediawiki-1.16.4-58.fc13

Comment 11 Fedora Update System 2011-04-22 08:37:56 UTC
mediawiki-1.16.4-58.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mediawiki-1.16.4-58.fc15

Comment 12 Fedora Update System 2011-04-26 16:03:48 UTC
mediawiki-1.16.4-58.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-04-30 23:23:23 UTC
mediawiki-1.16.4-58.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-04-30 23:25:12 UTC
mediawiki-1.16.4-58.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.